<mat-sidenav-container autosize class="maarch-container">
    <mat-sidenav-content>
        <div class="bg-head">
            <div class="bg-head-title" [class.customContainerRight]="appService.getViewMode()">
                <div class="bg-head-title-label">
                    <header-left></header-left>
                </div>
                <div class="bg-head-title-tool">
                    <header-right></header-right>
                </div>
            </div>
            <div class="bg-head-content" [class.fullContainer]="appService.getViewMode()">
            </div>
        </div>
        <div class="container" [class.fullContainer]="appService.getViewMode()">
            <div class="container-content">
                <div *ngIf="loading" style="display:flex;height:100%;">
                    <mat-spinner style="margin:auto;"></mat-spinner>
                </div>
                <mat-card *ngIf="!loading" class="card-app-content">
                    <mat-tab-group [(selectedIndex)]="selectedTabIndex_2" *ngIf="!creationMode"
                        (selectedTabChange)="loadReports($event.index)">
                        <mat-tab *ngFor="let group of groups" label="{{group.group_desc}">
                            <ng-template mat-tab-label>
                                {{group.group_desc}}
                            </ng-template>
                            <div *ngIf=" loadingOptions">
                            <mat-spinner style="margin:auto;"></mat-spinner>
            </div>
            <form>
                <mat-list *ngIf="reports.length > 0 && !loadingOptions">
                    <!--{{lang.folders}}
                                    <mat-divider></mat-divider>
                                    <span *ngFor="let report of reports;let i = index">
                                        <mat-list-item *ngIf="report.module == 'folder'">
                                            <mat-checkbox color="primary" [(ngModel)]="report.checked" (change)="saveReport()" name="report_{{report.module}}_{{i}}"
                                                matTooltip="{{report.desc}}">
                                                {{report.label}}
                                            </mat-checkbox>
                                        </mat-list-item>
                                    </span>-->

                    {{lang.entities}}
                    <mat-divider></mat-divider>
                    <span *ngFor="let report of reports;let i = index">
                        <mat-list-item *ngIf="report.module == 'entities'">
                            <mat-checkbox color="primary" [(ngModel)]="report.checked" (change)="saveReport()"
                                name="report_{{report.module}}_{{i}}" matTooltip="{{report.desc}}">
                                {{report.label}}
                            </mat-checkbox>
                        </mat-list-item>
                    </span>
                    {{lang.maarchApplication}}
                    <mat-divider></mat-divider>
                    <span *ngFor="let report of reports;let i = index">
                        <mat-list-item *ngIf="report.module == 'application'">
                            <mat-checkbox color="primary" [(ngModel)]="report.checked" (change)="saveReport()"
                                name="report_{{report.module}}_{{i}}" matTooltip="{{report.desc}}">
                                {{report.label}}
                            </mat-checkbox>
                        </mat-list-item>
                    </span>
                </mat-list>
            </form>
            </mat-tab>
            </mat-tab-group>
            </mat-card>
        </div>
        </div>
    </mat-sidenav-content>
</mat-sidenav-container>